15.08
	Changes (~450 commits):
	* New file format
	  - Can load old format but not save to it: no way back
	    wait a bit for big projects!
	  - All data are now in MLT structures
	    should ease exchanges with Shotcut and other editors?
	* New monitor, using OpenGL & QML
	  - *brings back Movit* (GPU effects), but not mandatory ;)
	  - great *split screen* functionality to tune effect parameter
	* Completely renewed bin manager (previously named project list)
	  - Allows *adding effects to bin clips*, affecting all timeline instances
	  - Free directory structure
	  - Icon / list / tree views
	  - More clip properties can be changed
	  - Much work to restore all old functions :\
	* Effects list improvements
	  - improve sorting and marking item as favorite
	* New audio waveform on timeline (à la Shotcut)
	  making information more visible
	* New duplicate clip function (cool for titles)
	* Propose predefined monitor zoom values
	* Fixed several look issues (sizes, colors, icons...)
	* Refactoring: replacing XML manipulations by MLT API calls
	  - reduces data duplication: faster, safer...
	* Automatic builds (CI) on Linux and OSX
	* Code checked by several static analyzers
	* Some bugs fixed from 15.04 port (capture, effects, ...)

15.04
    Changes:
    * Port to KDE Frameworks 5
    * Add ripple delete function
    * Add stem audio export
    * Make images sequences generation more convenient
    * Save and restore title widget size
    * Start some refactoring
    * Fix warnings from compiler, static analyzers, execution...

    Bug fix:
    * #3407 don't copy clips if project is also on removable drive
    * #3408 crash on selecting clip with grouped effects
    * #3405 crash on adding 1st clip not matching project profile
    * #3338 import clip keyframes
    * #3160 Autosave new projects before saving
    * #3415 FFmpeg recording freeze

0.9.10
    Changes:
    * handle VBR encoding profiles, and use it!
    * video stabilizer: added new "vid.stab", removed older ones
    * environment variable MLT_PREFIX overrides profiles & melt path
    * several fixes for high dpi screens
    * change proxy profile, obsolete with libav
    * add SVG to image formats for slideshows	
    * restore project render bitrate (#3326)
    * show proxy name in clipproperties
    * add link to MLT doc in render edit dialog (#3355)

    Bug fix:
    * update maximum track height (#3241)
    * resize render path box (#3300)
    * change transition settings layout (#3336)
    * heat colormap in spectrogram (#3142)
    * fix clip monitor switch on proxy creation end (#3308)
    * fix clip jobs (stabilize) operating on proxies (#3337)
    * fix timeline corruption by clip resize end + zoom change
    * fix title clip duration not taken into account (#3309)
    * fix timeline thumbs flicker when fully zoomed (#3247)
    * fix thumbnailer aspect ratio
    * fix fades for split audio (#3323)
    * fix transcoding (#3334)
    * fix 'Clip in Timeline' when project monitor is inactive (#3261)
    * fix audio analysis (use dynamic memory instead of stack)
    * fix render end notification
    * fix render timecode overlay (#3260)	
    * set tooltip for monitor pause button (#3256)
    * fix slideshow clips adding 1 frame (#3289)
    * fix archive project icon (#3325)
    * fix compilation on armhf (#3345)
    * don't allow creating keyframes for "fixed" filters (#2956)	
    * re-enable compilation on KDE < 4.5 (squeeze) (#3319)
    * re-enable Clip menu (fix bug #3347)
    * fix screen recording failure (#3358)
    * fix crash detected with undo/redo (bug #3240)
    * fix crash cutting group on a clip edge (#3312, #3350)
    * fix crash on image sequence (#3331)
    * fix crash in tracks config editor (#3367)
    * fix crash on audiofiles
    * fix crash on opening project file with images
    * fix warnings from static analyzers (cppcheck, krazy)
    * sort source files, easier to understand (for new developers)

0.9.8
    Changes:
    * Clean encoding profiles using MLT presets & profiles
    * Fades ui: video instead of audio on AV clips
    * Support a custom suffix for FFmpeg binaries (mostly for packagers)
    * Make audio align work asynchronously
    * Remove the MLT processing threads option that never really worked
    * Copy proxies with 'move project'
    * Add support for JogShuttle on newer systems, make shuttle device selection more straightforward, add ProV2 keys

    Bug fix:
    * Code cleanup (use const ref, fix includes, mem leaks, optimize...)
    * Fix warnings from gcc, cppcheck, clang, scan-build: fixes many crashes & leaks
    * Fix keyframing messed up for some effects
    * Fix timeline corruption when trying to move clip before 0
    * Fix crash when closing title widget
    * Fix thumbnails for image clips in timeline
    * Fix crash on quick undo/redo (#3240)
    * Fix multithreading (#3186)
    * Fix some problems with transitions keyframes
    * Fix scopes (#3052)

0.9.6

    Changes:
    * New Median filter from Marko Cebokli
    * Show project duration in status bar
    * Add reverse clip to clip actions (#2933)
    * Make audio / video bitrate easily configurable in custom render profiles (#3012)
    * Implement deinterlacer and rescale options for MLT consumer
    * Automatic recovery of corrupted files produced by Kdenlive 0.9.4
    * Make monitor ruler slightly bigger so it's easier to click for seeking
    * Show clip size & fps in project tree tooltip
    * Allow retrieval of metadata created by Magic Lantern for canon cams

    Bug fix:
    * Fix font GUI issue (#3049)
    * Fixes timeline corruption by spacer tool
    * Correctly handle unsupported filters
    * Remove space from filename start / end in render dialog (#3018)
    * Fix possible crash when changing speed effect
    * Fix vstab angle parameter (#2955)
    * Fix playlist corruption & crash when moving clip (#3046)
    * Fix moving transition sometimes losing properties (#3025)
    * Fix crash in title widget (#3032)
    * Fix crash when doing clip resize and clicking item quickly
    * Fix wrong group moving when groups overlap
    * Set document as modified when changing project metadata (#2996)
    * Don't corrupt project when adding a title clip and a transition already is in place
    * Fix monitor displaying corrupt image on startup (#2992)
    * Fix clip monitor not activated on open (#2992)
    * Fix cutting of geometry keyframes (like pan & zoom) (#2991)
    * Optimize jogshuttle code
    * Fix metadata not properly set for project (#2996)
    * Fix "Clip in project tree" in groups (#2781)
    * Fix keyframes when undoing a clip / group cut
    * Fix double click in a timeline clip to add keyframe
    * Warn before overwriting stabilized clip
    * Fix monitor focus on ruler wheel event
    * Fix proxy of playlist aspect ratio broken on some locales
    * Fix Coverity warnings from v0.9.4
    * Fix crash when opening invalid file from command line (#2984)
    * Fix DVD chapters broken when using an intro movie, show chapters in monitor ruler
    * Fix small UI bugs in title widget (#1257)
    * Fix timeline seek sometimes not refreshing on last frame of the seek, small update for monitor ruler colors
    * Small cleanup in render widget, fix error message (no matching profile) sometimes appearing when it should not
    * Fix monitor timecode not visible with some window decorations (#2979)
    * Fix moving guide bug
    * Fix some clips metadata corrupting project file (#2976)
    * Fix possible crash on track deletion (#2967)
    * Fix compilation on OSX (moc issue)
    * Fix keyframe line not painted over clips in timeline

0.9.4
    * Fix color parameter in some effects not working correctly (#2644)
    * Fix V4l licensing issue (#2632)
    * Fix keyframes lost / broken when pasting an effect

0.9.2
    * Fix firewire capture (preview not showing)
    * Fix freeze when reloading previously missing clip
    * Fade effects lost when moving / resizing clip
    * Undoing change in clip crop start breaking clip
    * Make disabling of track effects possible
    * Fix slideshow clips not working
    * Fix crash on composite transition
    * Fix crash when opening stop motion widget
    * Fix rendering of projects created in another locale

0.9
    * Fix monitor effect scene sometimes forcing monitor minimum size
    * Improve detection of locale issues (default to POSIX when there is a locale conflict on the system)
    * Improve timeline operation for small clips (disable resizing, only allow move)
    * Add background color parameter to "Rotate" and "Pan and Zoom" effects
    * Allow to scroll using the mouse wheel in monitor editing scene
    * Zoom to mouse when using CTRL + mouse wheel in monitor editing scene
    * Add support for new slope mode in "Color Selection" effect to allow smooth alpha transition
    * Introduce grouping of effects; groups can also be saved
    * Allow dragging an effect to another clip/track
    * Allow record monitor to go fullscreen
    * Image sequences can now start at an arbitrary frame (#2508)
    * Add automatic clip alignment based on audio (experimental, has to be manually enabled)s
    * Allow archiving for offline use (only archive proxies)
    * Offline editing: Allow working on project with only proxies available (#2509)
    * Allow rendering to another framerate
    * Check for missing locale and ask to install instead of opening corrupted project
    * Allow to open project files manually extracted from archived project
    * Support dropping a folder in the project tree (#1288)
    * Add "select all clips in track" and "select all clips in timeline" features (#1950)
    * Put audio effects in subcategories to avoid uberlong menus (#2436)
    * Support for project metadata (can be embedded in rendered file)
    * Add Online Resource Widget allowing easy search and download of online services (freesound, openclipart, archive.org)
    * Introduce MLT clip analysis to get auto normalize data in sox gain effect
    * Connect recording to audio scopes
    * Add audio only recording (works while playing)
    * Add extract zone function: part of clip is copied to new file without re-encoding
    * Introduce generic job framework to process clips
    * Improve the Choose color widget: Use less space and make it easier to pick the average color value from an area
    * Add GUI for effect Dynamic Text: Allows to display timecode/framecount and other data
    * Rework effect stack: All effects are shown at once and are collapsible
    * Add two different video stabilizers
    * Add IIR Blur GUI
    * Add date column to project tree

    * Fix clip move sometimes giving error when it should work 
    * Fix custom effects not considering capital letters in name (#2580)
    * Fix script rendering when script name contains whitespace
    * Ensure clip in project tree is visible after rename (scroll if necessary) (#2563)
    * Fix monitor scene never resetting scrollbars
    * Fix issues with transitions when inserting track (#2477)
    * Fix some GUI elements not responding to color theme change
    * Do not hide render profile list when there is only one item to avoid confusion (#2543)
    * Fix consecutive error messages overwriting each other (#2519)
    * Fix crash when editing properties of several missing clips
    * Fix vectorscope for 24b RGB images (#2478)
    * Fix archiving sometimes not saving playlist clips and subclips (#2475)
    * Fix archiving feature not saving playlist clips and slowmotion clips inside them (#2475)
    * Fix crash recovery feature issues with long or non UTF-8 filenames (#2441), (#2450)
    * Fix rendering jobs sometimes not starting
    * Fix crash on proxy creation (concurrency issue) (#2471)
    * Fix zone playing (#2468)
    * Fix click on monitor sometimes not triggering play
    * Fix crash when moving a folder and a clip in project tree (#2458)
    * Fix color change not working in title widget (#2459)
    * Fix slideshow clips created with invalid frame duration
    * Fix profile warning with clips that have 1088 pixels height
    * Fix unnecessary proxy reload on document load
    * Fix detection of broken render scripts

0.8.2.1
    * Fix title text oultine transparency not working
    * Make titler window fit on smaller resolutions (1024x768)
    * Fix corruption when undoing and redoing a transition add + move
    * Fix possible crash in thumbnails
    * Fix possible crashes in clip transcoding and improve feedback when failing
    * Various small optimizations (unnecessary clip reloads)
    * Fix timecode widget hard to edit and sometimes giving random values
    * Workaround locale issue ahappening when system C locale and Qt's locale did not give the same numeric separator
    * Fix audio thumbnail concurrency issue
    * Fix various video thumbnails issues (don't load several times the same thumb, load all of them, ...)
    * Fix crash when opening a file dialog on KDE < 4.5
    * Fix various proxy issues (missing extension, concurrency, disabling broken proxy, ...)
    * Fix startup crash caused by invalid parsing of v4l data
    * Fix project tree disabled after loading some projects / creating new one
    * Fix corrupted timeline / monitor timecode
    * Fix search path for Luma files when missing

0.8.2
    * Load zone thumbnails from disk if available.
    * Optimise document loading.
    * In case of missing or invalid clips, open only one dialog box instead of one for each clip.
    * Display proxy creation progress in project tree.
    * Improve way of picking an average color of an area.
    * Make audio bitrate in render dialog selectable.
    * Add support for handling different versions of filters and add rules to convert between them.
    * Move all cached data in one operation, so that user does not get one dialog box for each file in case of duplicates. (#2297)
    * Show filter version in filter info box.
    * When multiple clips are selected do not allow resizing, but moving only. (#2257)
    * Add remux with MKV transcode preset.
    * Make audio only render profiles faster by telling ffmpeg to skip video.
    * Open documents using a locale different to the system as read only.
    * Replace locale-dependent comma with slash in geometry value.
    * Add Kdenlive manual converted from UserBase QuickStart page.
    * Improve handling of missing luma files. (#2216)
    * Remove the "avformat-novalidate" trick for faster loading, caused crash. (#2205)
    * Allow to assign a shortcut to usage of proxies in project.
    * Use separate thread for generation of timeline thumbnails when zoom is at frame level to keep UI responsive.
    * Allow to use JScript in render profile parameter values. Values that need evaluation need to be indicated by '%'.
    * Check for missing proxies on document opening.
    * Check document for invalid (overlapping) transitions.
    * Check for duration mismatch in clip producers when opening a document (can cause corruption).
    * Automatically create backups of the project file; they can be restored in a recovery dialog.
    * Allow to manually edit video4linux capture profile.
    * Allow to store presets for proxy creation parameters.
    * Enable proxies for playlist clips (*.mlt, *.kdenlive).
    * Directly encode capture from Decklink card to make it usable in Kdenlive.
    * Allow to use bitrate different from presets in render dialog.
    * Whole projects (including all necessary files) can be archieved into a directory or file.
    * Allow use of different ffmpeg preset for 1st and 2nd render pass.
    * Notes widget: context menu now allows to insert clickable timecode to make easy reference to some place in the project.

    * Fix encoding of dvd vob menu file.
    * Fix possible crash when doing fast start/stop.
    * Fix multiple concurrency crashes related to thumbnail and proxy creation.
    * Fix name of dvgrab captured file. (#2344)
    * Fix issues with simultaneous 2-pass rendering (x264). (#2338)
    * Fix rendering progress not shown if multiple copies of Kdenlive are open. (#1265)
    * Fix DVD chapters discarded when opening from render dialog. (#2335)
    * Fix possible corruption caused by vertical offset of transitions in timeline.
    * Fix aspect ratio of thumbnails to correctly use the project's arpect ratio.
    * Fix bitrate broken when editing render profile or making it a favorite. (#2321)
    * Fix audio issues in rendered file when using a recent ffmpeg version by replacing 'b' with 'vb' (ffmpeg bitrate parameter). (#2318)
    * Fix rendering to Flash could be broken by setting the number of encoder threads. (#2312)
    * Fix DVD wizard losing chapters data when switching to menu page.
    * Fix previewing of affine transitions with transparent png.
    * Fix timeline corruption when using 'Remove space' tool (transitions could overlap).
    * Fix 'adjust to original size' and 'fit to width/height' for title and color clips in geometry widget (pan and zoom, composite, affine).
    * Fix vorbis rendering by setting the audio quality (aq).
    * Rotoscoping: do not allow to add keyframes until initial spline is created to avoid corruptions.
    * Fix possible crash in DVD wizard chapters. (#2264)
    * Do not duplicate effect stack after split audio but move audio effects only.
    * Fix issues related to the usage of comma as numeric separator in some locales.
    * Fix build on GNU/kFreeBSD.
    * Fix cursor not visible in title widget. (#2231)
    * Fix aspect ratio in title widget background image. (#2225)
    * Fix layout in save profile dialog. (#2224)
    * Fix timeline corruption because resizing a clip end could overlap another clip in some cases.
    * Fix last keyframe for composite transition (and other geometry effects) inserted one frame after the end of the transition.
    * Prevent crash when deleting a clip while playing. (#2200)
    * Disable save action if we are in the same state as last save.
    * Fix pan and zoom keyframes lost after clip resize. (#2210)
    * Fix mouse wheel in slider section of (effect) parameters with a large range (> 1000).
    * Fix GUI setup issues with some list parameters (for effects).
    * Fix timecode widget not communicating changes upon focus leave.
    * Fix list of effects in effect stack taking up to much space by default.
    * Fix transition track not correctly saved. (#2187)
    * Fix "save zone" saving proxy instead of real clip. (#2184)
    * Fix freeze when saving while timeline is at maximum zoom. (#2174)
    * Fix crash when deleting a track and having an audio clip on last track. (#2168)
    * Do not allow to create overlapping transitions that could corrupt timeline. (#1901)
    * Fix sometimes effects were missing. (#2152)
    * Fix crash in histogram scope.
    * Fix multiple possible timeline corruptions. (#2157)
    * Do not allow rendering to a frame rate different than current project's profile. (#2138)
    * Fix DVD menu entries hidden under some circumstances.
    * Fix channels in audio thumbnails being displaced by one frame. (#1976)
    * Fix possible crash caused by audio thumbnails. (#2147)
    * Fix possible freeze and error on project opening. (#2144)
    * Fix progress bar running twice on 2pass render.
    * Fix proxy file path issue on system installation.
    * Use luma as default channel for levels effect.
    * Fix handling of proxies when duration != duration of original clip.
    * Fix filename encoding problem in renderer. (#2110)
    * Fix user specified CFLAGS ignored. (#2108)

0.8
    See http://kdenlive.org/discover/0.8
